package com.fs.app.controller;



import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.XmlUtil;
import cn.hutool.json.JSONUtil;
import com.baidubce.appbuilder.model.agentbuilder.AgentBuilderResult;
import com.fs.ai.service.IBaiduAIService;
import com.fs.app.utils.JwtUtils;

import com.fs.chat.config.QwConfig;
import com.fs.chat.config.WxConfig;
import com.fs.chat.domain.*;
import com.fs.chat.service.*;
import com.fs.common.core.redis.RedisCache;
import com.fs.company.domain.CompanyConfig;
import com.fs.company.service.ICompanyConfigService;
import com.fs.his.service.*;

import com.fs.his.utils.ConfigUtil;
import com.fs.system.service.ISysConfigService;
import com.fs.system.service.ISysDictDataService;
import com.fs.voice.utils.StringUtil;
import com.fs.wx.kf.dto.*;
import com.fs.wx.kf.service.IWeixinKfService;
import com.fs.wx.kf.vo.WeixinKfMsgItemVO;
import com.fs.wx.kf.vo.WeixinKfMsgVO;
import com.fs.wx.kf.vo.WeixinKfUserItemVO;
import com.fs.wx.kf.vo.WeixinKfUserVO;
import com.google.code.kaptcha.Producer;
import com.qq.weixin.mp.aes.AesException;
import com.qq.weixin.mp.aes.WXBizMsgCrypt;
import io.swagger.annotations.Api;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import org.w3c.dom.Element;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.TimeUnit;
import java.util.logging.Logger;
import java.util.stream.Collectors;

import static com.fs.common.constant.FsConstants.REDIS_CHAT_NEXTCURSOR;
import static com.fs.common.constant.FsConstants.REDIS_CHAT_SESSION;


@Api("公共接口")
@RestController
@RequestMapping(value="/app/common")
public class CommonController {

    @Autowired
    JwtUtils jwtUtils;
    @Autowired
    private ISysDictDataService dictDataService;
    @Autowired
    ConfigUtil configUtil;



}
